For the complete documentation index, see llms.txt. This page is also available as Markdown.

Survey Tracker

Get a survey tracker by ID

get
Query parameters
idstringRequired

The UUID of the survey tracker to retrieve

Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Responses
200

The survey tracker has been successfully retrieved.

application/json
idstringRequired

Unique identifier

createdAtstring · date-timeRequired

Creation timestamp

updatedAtstring · date-timeRequired

Last update timestamp

surveyIdstringRequired

Survey identifier

surveyNamestringRequired

Survey name

sendAtstring · date-timeRequired

Estimate send date

sentAtstring · date-time · nullableRequired

Actual send date when survey was sent

Default: null
resendAtstring · date-time · nullableRequired

Date of resending the survey if it has not been completed within the time specified in the configuration

Default: null
resentbooleanRequired

Determines whether a resend has been performed

sendingIndexnumberRequired

Index of the sending attempt (0 = first send, 1 = first resend, etc.)

customerIdstringRequired

Identifier of the customer associated with the survey tracker

purchaseIdstringRequired

Identifier of the purchase associated with the survey tracker

sendingTypestring · enumRequired

Type of survey sending

Possible values:
statusstring · enumRequired

Status of the survey tracker

Possible values:
linkstring · nullableRequired

Link to access the survey Only available after the survey has been sent

Default: null
newReviewLinkstring · nullableRequired

Link of the external review page, if available (eg. Google Reviews)

Default: null
sentTostring · nullableRequired

Email or phone number the survey was sent to Only available after the survey has been sent

Default: null
switchedToSmsbooleanRequired

Indicates whether the survey was switched to SMS after failed whatsapp attempts

clicksnumberRequired

Number of clicks on the survey link

uniqueClicksnumberRequired

Number of unique clicks on the survey link

expiresAtstring · date-time · nullableRequired

Absolute sending deadline inherited by reminders; null means no deadline.

Default: null
get/partners/survey-tracker
GET /partners/survey-tracker?id=text HTTP/1.1
Host: api.fullwhere.com
X-API-KEY: text
X-API-SECRET: text
Accept: */*
{
  "id": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "surveyId": "text",
  "surveyName": "text",
  "sendAt": "2026-01-01T00:00:00.000Z",
  "sentAt": "2026-01-01T00:00:00.000Z",
  "resendAt": "2026-01-01T00:00:00.000Z",
  "resent": true,
  "sendingIndex": 1,
  "customerId": "text",
  "purchaseId": "text",
  "sendingType": "SMS",
  "status": "SCHEDULED",
  "link": "text",
  "newReviewLink": "text",
  "sentTo": "text",
  "switchedToSms": true,
  "clicks": 1,
  "uniqueClicks": 1,
  "expiresAt": "2026-01-01T00:00:00.000Z"
}

List survey trackers

post
Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Body
limitnumber · min: 1 · max: 100Optional

Pagination limit

Default: 10
pagenumber · min: 1Optional

Page to retrieve

Default: 1
fromSendAtstring · nullableOptional

Date range start (sendAt)

toSendAtstring · nullableOptional

Date range end (sendAt)

purchasesstring · uuid[] · min: 1 · max: 100 · nullableOptional

Purchase IDs to filter survey trackers

customersstring · uuid[] · min: 1 · max: 100 · nullableOptional

Customer IDs to filter survey trackers

Responses
201

The survey trackers have been successfully listed.

application/json
post/partners/survey-tracker/list
POST /partners/survey-tracker/list HTTP/1.1
Host: api.fullwhere.com
X-API-KEY: text
X-API-SECRET: text
Content-Type: application/json
Accept: */*
Content-Length: 213

{
  "limit": 10,
  "page": 1,
  "fromSendAt": "text",
  "toSendAt": "text",
  "purchases": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "customers": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "statuses": [
    "SCHEDULED"
  ],
  "sendingTypes": [
    "SMS"
  ]
}
{
  "items": [
    {
      "id": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "surveyId": "text",
      "surveyName": "text",
      "sendAt": "2026-01-01T00:00:00.000Z",
      "sentAt": "2026-01-01T00:00:00.000Z",
      "resendAt": "2026-01-01T00:00:00.000Z",
      "resent": true,
      "sendingIndex": 1,
      "customerId": "text",
      "purchaseId": "text",
      "sendingType": "SMS",
      "status": "SCHEDULED",
      "link": "text",
      "newReviewLink": "text",
      "sentTo": "text",
      "switchedToSms": true,
      "clicks": 1,
      "uniqueClicks": 1,
      "expiresAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "meta": {
    "itemCount": 1,
    "totalItems": 1,
    "itemsPerPage": 1,
    "totalPages": 1,
    "currentPage": 1
  }
}

Generate survey trackers

post

Generates external survey trackers for all applicable surveys based on the purchase ID provided and the targets configured on the survey . Fullwhere does not send external survey trackers. If an external survey tracker already exists for a survey/purchase combination, it will return the existing tracker.

Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Body
surveyIdstring · uuid · nullableOptional

Optional survey ID to filter the search for matching surveys. Please note that the survey must be valid for the specific purchase. Otherwise, an error will be returned.

purchaseIdstring · uuidRequired

Purchase identifier to generate the survey link for

Responses
201

The survey trackers have been successfully generated.

application/json
post/partners/survey-tracker/generate
POST /partners/survey-tracker/generate HTTP/1.1
Host: api.fullwhere.com
X-API-KEY: text
X-API-SECRET: text
Content-Type: application/json
Accept: */*
Content-Length: 103

{
  "surveyId": "123e4567-e89b-12d3-a456-426614174000",
  "purchaseId": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "items": [
    {
      "id": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "surveyId": "text",
      "surveyName": "text",
      "sendAt": "2026-01-01T00:00:00.000Z",
      "sentAt": "2026-01-01T00:00:00.000Z",
      "resendAt": "2026-01-01T00:00:00.000Z",
      "resent": true,
      "sendingIndex": 1,
      "customerId": "text",
      "purchaseId": "text",
      "sendingType": "SMS",
      "status": "SCHEDULED",
      "link": "text",
      "newReviewLink": "text",
      "sentTo": "text",
      "switchedToSms": true,
      "clicks": 1,
      "uniqueClicks": 1,
      "expiresAt": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated